Bug 12454 - Can't add new patron categories
Summary: Can't add new patron categories
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 6254
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-19 15:38 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12454: Fix for adding new patron categories (1.03 KB, patch)
2014-06-19 15:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12454: Can't add new patron categories (1.13 KB, patch)
2014-06-19 16:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12454: Can't add new patron categories (1.13 KB, patch)
2014-06-20 10:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-06-19 15:38:50 UTC
It's not possible to add a new patron category. There is a DB error in the logs but no feedback in staff, the newly created category just doesn't show up.
Comment 1 Katrin Fischer 2014-06-19 15:47:59 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-06-19 16:23:17 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-06-20 10:45:59 UTC
Created attachment 29090 [details] [review]
Bug 12454: Can't add new patron categories

To test:
- Add a new patron category
- After saving, the new patron category won't show up in the list
- Apply patch
- Try to add a new patron category again
- It should now save correctly and show up in the list of patron
  categories.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2014-06-20 10:48:55 UTC
Bug introduced by bug 6254.
Comment 5 Tomás Cohen Arazi 2014-06-21 00:17:42 UTC
Patch pushed to master.

Thanks Katrina!

Note: I'd like to see all this business logic be put in a lib in the Koha namespace we can have unit tests written for it. I'm sure this would belong to another bug report anyway.